Error
A valid request URL is required to generate request examples[
{
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "<string>",
"code": "FORBIDDEN"
}
}{
"error": {
"message": "<string>",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "<string>",
"code": "INTERNAL_SERVER_ERROR"
}
}Channels
チャンネルに所属するユーザー一覧の取得
指定チャンネルに所属するユーザーを一覧で取得します。
GET
/
channels
/
{channel_id}
/
users
Error
A valid request URL is required to generate request examples[
{
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "<string>",
"code": "FORBIDDEN"
}
}{
"error": {
"message": "<string>",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "<string>",
"code": "INTERNAL_SERVER_ERROR"
}
}Authorizations
ユーザーがログインすると発行されるsession_idをBearerトークンとして指定します
Path Parameters
対象となるチャンネルID
Required string length:
1 - 100Pattern:
^[a-zA-Z0-9_-]+$Response
チャンネルユーザー一覧を返却
ユーザーの一意な識別子(ユーザー作成時に任意のidを指定できます)
Required string length:
1 - 100Pattern:
^[a-zA-Z0-9_-]+$ユーザーの表示名
Required string length:
1 - 200ユーザーの権限・役割(Admin:管理者, Member:一般ユーザー)
Available options:
Admin, Member ユーザーアイコンのURL
作成日時
更新日時
削除日時
任意の追加メタデータ
Show child attributes
Show child attributes

